import QtQuick 2.2
import "../"

Item {
    id:root
    anchors.fill: parent
    visible: false
    //    width: 1536
    //    height: 2048
    property alias backButtonVisible: backButton.visible
    property bool animationOn: true

    property bool doShowAdInterstitial: true

    onVisibleChanged: {
        if(visible==false && root.doShowAdInterstitial ){
            adManager.showInterstitial();
        }
    }

    Image {
        anchors.fill: parent
        fillMode: Image.Tile
        source: "../media/blueTexture.gif"
    }


    MouseArea{
        anchors.fill: parent
        onClicked: {}
    }

    RoundButton{
        id:backButton
        anchors{
            left:parent.left
            leftMargin: Math.min(root.width,root.height)*0.0125;
            bottom: parent.bottom
            bottomMargin: Math.min(root.width,root.height)*0.0125;
        }

        backgroundImageSource: "../media/orangeRoundButton.png"
        highlightBackgroundImageSource: "../media/orangeRoundButton.png"
        symbolImageSource: ""

        symbolScale: 0.65
        sizeEffect: false

        size:Math.min(root.width,root.height*0.7)*0.175;
        onClicked: {
            root.visible=false;
        }
    }

}
